Map a Polar product
PUT
/v1/admin/integrations/{id}/mappings/{polarProductId}
const url = 'https://api.sealcord.com/v1/admin/integrations/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/mappings/example';const options = { method: 'PUT', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"product_id":"example","limit_kind":"seats","limit_count":1,"key_valid_days":null,"on_refund":"revoke","on_subscription_end":"expire","renewal_url":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request PUT \ --url https://api.sealcord.com/v1/admin/integrations/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/mappings/example \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "product_id": "example", "limit_kind": "seats", "limit_count": 1, "key_valid_days": null, "on_refund": "revoke", "on_subscription_end": "expire", "renewal_url": "example" }'Map a Polar product of the integration to one of your products.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”id
required
string format: uuid
polarProductId
required
string
Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
object
product_id
required
string
limit_kind
string
limit_count
integer
key_valid_days
integer
on_refund
string
on_subscription_end
string
renewal_url
string
Responses
Section titled “Responses”Missing or invalid API key.
Needs scope polar:write.